#!/usr/bin/env python

import pyfits

ofits=pyfits.open('./exercise1/object.fits')
objdata=ofits[0].data
hdr=ofits[0].header
itime=hdr['expos']
ofits.close()

num=0
f=open('darklist2.txt')
for line in f:
    dfits=pyfits.open(line[:-1])
    hdr=dfits[0].header
    if hdr['expos']==itime:
        num+=1
        darkdata=dfits[0].data
        if num==1:
            darkavg=darkdata
        else:
            darkavg+=darkdata
    dfits.close()
f.close()

darkavg /= num


newdata=objdata-darkavg

hdu=pyfits.PrimaryHDU(newdata)
img=pyfits.HDUList([hdu])
img.writeto('new2.fits')
img.close()
