#!/usr/bin/env python

import pyfits

f=open('darklist.txt')
for i,line in enumerate(f):
    dfits=pyfits.open(line[:-1])
    darkdata=dfits[0].data
    if i==0:
        darkavg=darkdata
    else:
        darkavg+=darkdata
    dfits.close()
f.close()

darkavg*=0.1

ofits=pyfits.open('./exercise1/object.fits')
objdata=ofits[0].data
ofits.close()

newdata=objdata-darkavg

hdu=pyfits.PrimaryHDU(newdata)
img=pyfits.HDUList([hdu])
img.writeto('new.fits')
img.close()

