#!/usr/bin/env python

import matplotlib.pyplot as plt

xcoo=[]
ycoo=[]
volume=[]
f=open('my.xymag')
for line in f:
    val=line[:-1].split()
    xcoo.append(float(val[0]))
    ycoo.append(float(val[1]))
    volume.append(50*2.5**(12-float(val[2])))
f.close()

fig=plt.figure(facecolor='white', figsize=(10,10))
ax1=fig.add_subplot(111)
ax1.scatter(xcoo,ycoo,s=volume,edgecolors='black',facecolors='black')
ax1.set_xlim(0,1000)
ax1.set_ylim(0,1000)

plt.show()


