#! /usr/bin/env python

import pyfits

img1=pyfits.open('sample1.fits')
img2=pyfits.open('sample2.fits')

data1=img1[0].data
data2=img2[0].data

img1.close()
img2.close()

data3=data2-data1

hdu=pyfits.PrimaryHDU(data3)
img3=pyfits.HDUList([hdu])

img3.writeto('new.fits')
img3.close()

data4=data1-data2

hdu2=pyfits.ImageHDU(data4)
img4=pyfits.HDUList([hdu,hdu2])

img4.writeto('new2.fits')
img4.close()
