#!/usr/bin/env python
import os,sys             
from pyraf import iraf 
from iraf import images

def imstat_file(infile):   

    if os.access(infile, os.R_OK):
        f=open(infile)     
        for line in f:
            if not line.startswith("#"):
                fname, xx, yy = line[:-1].split()
                fitsname=fname+'.fits' 
                if os.access(fitsname, os.R_OK):
                    iraf.imstat(fname)
                else:
                    print "Error: can't read", fname
        f.close()
    else:
        print "Error: can't open", infile

if __name__== "__main__":
    
    argvs=sys.argv
    argc=len(argvs)

    if argc<2:
        print 'Usage: # sample251.py [name of file]'
        sys.exit()
    
    imstat_file(sys.argv[1])

