#!/usr/bin/env python

import os,sys
from pyraf import iraf
from ds9 import ds9

def getshift(infile):

    xx=[]
    yy=[]
    imlist=[]

    if os.access(infile, os.R_OK):
        f=open(infile)
        for line in f:
            fitsname=line[:-1]
            if not line.startswith("#"):
                if os.access(fitsname, os.R_OK):
                    imlist.append(fitsname)
                    iraf.display(fitsname,fill='yes')
                    result=iraf.imexam(Stdout=1)
                    values=result[2].split()
                    xx.append(float(values[0]))
                    yy.append(float(values[1]))
                else:
                    print "Error: can't read", fitsname
        f.close()
    else:
        print "Error: can't open", infile


    print imlist[0],'0.00','0.00'
    for i in range(1,len(xx)):
        print imlist[i],xx[0]-xx[i],yy[0]-yy[i]


if __name__ == "__main__":

    d=ds9()
    getshift(sys.argv[1])
        
