#!/usr/bin/env python

import pyfits
import numpy as np

img=pyfits.open('./exercise1/object.fits')
data1=img[0].data
img.close()

med=np.median(data1)
stdev=np.std(data1)

goodval=np.where(data1>=med-3*stdev)
badval=np.where(data1<med-3*stdev)

data1[goodval]=0
data1[badval]=1

hdu=pyfits.PrimaryHDU(data1)
imgnew=pyfits.HDUList([hdu])

imgnew.writeto('badmask.fits')
imgnew.close()





