#!/usr/bin/env python

import pyfits
import matplotlib.pyplot as plt
import matplotlib.cm as cm

xcoo=[]
ycoo=[]
f=open('my.xymag')
for line in f:
    val=line[:-1].split()
    xcoo.append(float(val[0]))
    ycoo.append(float(val[1]))
f.close()

fimg=pyfits.open('sample1.fits')
pixdata=fimg[0].data
fimg.close()

fig=plt.figure(facecolor='white', figsize=(10,10))
ax1=fig.add_subplot(111)
ax1.imshow(pixdata,cmap=cm.gray,vmin=520,vmax=600,
interpolation='nearest',origin='lower')
ax1.scatter(xcoo,ycoo,s=100,edgecolors='yellow',facecolors='none')

plt.show()
